OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDimen

# IGESDimen Class Reference

This package represents Entities applied to Dimensions
ie. Annotation Entities and attached Properties and
Associativities.
.

`#include <IGESDimen.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | Init ()
| Prepares dynamic data (Protocol, Modules) for this package .
static Standard_EXPORT Handle_IGESDimen_Protocol | Protocol ()
| Returns the Protocol for this Package .

## Member Function Documentation

static Standard_EXPORT void IGESDimen::Init | ( |  | ) | `[static]`

void IGESDimen::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESDimen::operator new | ( | size_t | size | ) | `[inline]`

void* IGESDimen::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_IGESDimen_Protocol IGESDimen::Protocol | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- IGESDimen.hxx